<?php
/**
 * @version $Id: showcat.php 3338 2010-08-29 21:18:52Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
?>

<?php $this->displaySubCategories () ?>

<?php if ($this->objCatInfo->headerdesc) : ?>
<div class="kblock">
	<div class="kheader">
		<span class="ktoggler"><a class="ktoggler close"  rel="frontstats_tbody"></a></span>
		<h2><span><?php echo JText::_('COM_KUNENA_FORUM_HEADER'); ?></span></h2>
	</div>
	<div class="kcontainer" id="frontstats_tbody">
		<div class="kbody">
			<div class="kfheadercontent">
				<?php echo KunenaParser::parseBBCode ( $this->headerdesc ); ?>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>


<div class="klist-markallcatsread kcontainer">
	<?php $this->displayForumJump (); ?>
	<!-- Pathway -->
	<?php $this->displayPathway (); ?>
	<!-- / Pathway -->
</div>	

<!-- B: List Actions -->
<table class="klist-actions">
	<tr>
		<td class="klist-actions-goto">
			<a name="forumtop"> </a>
			<?php echo CKunenaLink::GetSamePageAnkerLink ( 'forumbottom', CKunenaTools::showIcon ( 'kforumbottom', JText::_('COM_KUNENA_GEN_GOTOBOTTOM') ), 'nofollow', 'kbuttongoto') ?>
		</td>
		<td class="klist-pages-all">
			<?php
			// pagination 1
			if (count ( $this->messages ) > 0) {
				$maxpages = 9 - 2; // odd number here (# - 2)
				echo $pagination = $this->getPagination ( $this->catid, $this->page, $this->totalpages, $maxpages );
			}
			?>
		</td>
		<td class="klist-actions-forum">
			<?php
			if (isset ( $this->forum_new ) || isset ( $this->forum_markread ) || isset ( $this->thread_subscribecat )) {
				
				if (isset ( $this->forum_new ))
					echo $this->forum_new;	
				if (isset ( $this->forum_markread ))
					echo ' ' . $this->forum_markread;
				if (isset ( $this->thread_subscribecat ))
					echo ' ' . $this->thread_subscribecat;
					
			}
			?>
		</td>
	</tr>
</table>
<!-- F: List Actions -->

<?php $this->displayFlat (); ?>

<!-- B: List Actions Bottom -->
<table class="klist-actions" >
	<tr>
		<td class="klist-actions-goto">
			<a name="forumbottom"> </a>
			<?php echo CKunenaLink::GetSamePageAnkerLink ( 'forumtop', CKunenaTools::showIcon ( 'kforumtop', JText::_('COM_KUNENA_GEN_GOTOBOTTOM') ), 'nofollow', 'kbuttongoto') ?>
		</td>
		<td class="klist-pages-all">
			<?php
			// pagination 2
			if (count ( $this->messages ) > 0) {
				echo $pagination;
			}
			?>
		</td>
		<td class="klist-actions-forum">
			<?php
			if (isset ( $this->forum_new ) || isset ( $this->forum_markread ) || isset ( $this->thread_subscribecat )) {
				if (isset ( $this->forum_new ))
					echo $this->forum_new;
				if (isset ( $this->forum_markread ))
					echo ' ' . $this->forum_markread;
				if (isset ( $this->thread_subscribecat ))
					echo ' ' . $this->thread_subscribecat;
			}
			?>
		</td>
	</tr>
</table>

<div class = "kforum-pathway-bottom">
<?php $this->displayPathway (); ?>
<div class="clr">&nbsp;</div>
</div>

<!-- B: List Actions Bottom -->
<?php if (!empty ( $this->modslist ) ) : ?>
<div class="kcontainer klist-bottom">
	<div class="kbody">
		<div class="klist-moderators">
			<?php
			echo '<p><strong>' . JText::_('COM_KUNENA_GEN_MODERATORS') . ":</strong> ";
			foreach ( $this->modslist as $mod ) {
				echo CKunenaLink::GetProfileLink ( intval($mod->userid) ) . '&nbsp; ';
			}
			echo '</p>';
			?>
		</div>
	</div>
</div>	
<?php endif; ?>
	
<!-- F: List Actions Bottom -->

<?php include_once dirname(__FILE__).'/../bottom.php'; ?>