<?php
/**
 * @version $Id: view.php 3525 2010-09-19 07:28:35Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 **/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

$document = JFactory::getDocument ();
$document->addScriptDeclaration('// <![CDATA[
var kunena_anonymous_name = "'.JText::_('COM_KUNENA_USERNAME_ANONYMOUS').'";
// ]]>');
?>
<div><?php $this->displayPathway(); ?></div>

<?php if ($this->headerdesc) : ?>	
	<div class="clr">&nbsp;</div>
	<div id="kforum-head" class="<?php echo isset ( $this->catinfo->class_sfx ) ? ' kforum-headerdesc' . $this->escape($this->catinfo->class_sfx) : '' ?>">
		<?php echo $this->headerdesc ?>
	</div>
<?php endif ?>

<?php
	$this->displayPoll();
	CKunenaTools::showModulePosition( 'kunena_poll' );
	$this->displayThreadActions(0);
?>

<div class="kblock">
	<div class="kheader">
		<h2><span><?php echo $this->escape($this->kunena_topic_title) ?></span></h2>
		<?php if ($this->favorited) : ?><div class="kfavorite"></div><?php endif ?>
	</div>
	<div class="kcontainer">
		<div class="kbody">
			<?php foreach ( $this->messages as $message ) $this->displayMessage($message) ?>
		</div>
	</div>
</div>


<table class="klist-actions">
	<tr>
		<td class="klist-actions-goto">
			<a name="forumbottom"> </a>
			<a rel="nofollow" title="" href="#forumtop" class="kbuttongoto"><span title="Go to bottom" class="kicon kforumtop"></span></a>	
		</td>
		<td class="klist-pages-all">
			<?php echo $this->pagination; ?>
		</td>
	</tr>
</table>
 

<div class = "kforum-pathway-bottom">
	<?php $this->displayPathway(); ?>
	<div class="clr">&nbsp;</div>
</div>
<!-- B: List Actions Bottom -->
<?php if (!empty ( $this->modslist ) ) : ?>
<div class="kcontainer klist-bottom">
	<div class="kbody">
		<div class="klist-moderators">
				<?php
				echo '' . JText::_('COM_KUNENA_GEN_MODERATORS') . ": ";
				$modlinks = array();
				foreach ( $this->modslist as $mod ) {
					$modlinks[] = CKunenaLink::GetProfileLink ( intval($mod->userid) );
				}
				echo implode(', ', $modlinks);
				?>
		</div>
	</div>
</div>	
<?php endif; ?>
<!-- F: List Actions Bottom -->

<?php include_once dirname(__FILE__).'/../bottom.php'; ?>