<?php
/**
 * @version $Id: listcat.php 3108 2010-07-26 21:48:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

$this->displayAnnouncement ();
CKunenaTools::showModulePosition ( 'kunena_announcement' );
//$this->displayPathway ();
?>

<div class="klist-markallcatsread kcontainer">
	<div class="ksectionbody">
		<div class="fltlft">
			<?php $this->displayForumJump (); ?>
		</div>
		<div class="fltrt">
			<?php if ($this->my->id != 0) : ?>
			<form action="<?php echo KUNENA_LIVEURLREL; ?>" name="markAllForumsRead" method="post">
				<input type="hidden" name="markaction" value="allread" />
				<input type="submit" class="kbutton button ks" value="<?php echo JText::_('COM_KUNENA_GEN_MARK_ALL_FORUMS_READ'); ?>" />
				<?php echo JHTML::_( 'form.token' ); ?>
			</form>
			<?php endif; ?>
		</div>
	</div>
</div>



<?php
	if (count ( $this->categories [0] )) {
	$this->displayCategories (); 
	
	$kunena_config = KunenaFactory::getConfig ();
	?>
	
	<div class="kblock kfrontstats">
	<div class="kheader">
		<span class="ktoggler"><a class="ktoggler close"  rel="kfrontstats-tbody"></a></span>
		<h2><span><?php echo JText::_('Board Info'); ?></span></h2>
	</div>
	<div class="kcontainer" id="kfrontstats-tbody">
		<div class="kbody">
			<table class = "kblocktable" id ="kfrontstats">
				<tr class="krow3">
					<td class="left-column">
						<?php 	
							$this->displayStats ();
							$this->displayWhoIsOnline ();
						?>		
					</td>
					<td valign="top" class="right-column">
						<?php $this->displayForumJump (); ?>
						<div class="border-3">
							<p><strong><?php echo JText::_('Forum Legend'); ?>:</strong></p>
							<ul class="legend-list">
								<li><span class="icon-legend l-topic">&nbsp;</span><?php echo JText::_('Topic'); ?></li>
								<li><span class="icon-legend l-sticky">&nbsp;</span><?php echo JText::_('Sticky'); ?></li>
								<li><span class="icon-legend l-new">&nbsp;</span><?php echo JText::_('New'); ?></li>
								<li><span class="icon-legend l-active">&nbsp;</span><?php echo JText::_('Active'); ?></li>
								<li><span class="icon-legend l-locked">&nbsp;</span><?php echo JText::_('Locked'); ?></li>
								<li><span class="icon-legend l-new-active">&nbsp;</span><?php echo JText::_('New/Active'); ?></li>
								<li><span class="icon-legend l-new-locked">&nbsp;</span><?php echo JText::_('New/Locked'); ?></li>
								<li><span class="icon-legend l-active-sticky">&nbsp;</span><?php echo JText::_('Active/Sticky'); ?></li>
								<li><span class="icon-legend l-new-sticky">&nbsp;</span><?php echo JText::_('New Sticky'); ?></li>
								<li><span class="icon-legend l-sticky-locked">&nbsp;</span><?php echo JText::_('Sticky/Locked'); ?></li>
								<li><span class="icon-legend l-locked-active">&nbsp;</span><?php echo JText::_('Locked/Active'); ?></li>
								<li><span class="icon-legend l-sticky-locked-active">&nbsp;</span><?php echo JText::_('Sticky/Active/Locked'); ?></li>
							</ul>
						</div>
					</td>
				</tr>
			</table>	
		</div>
	</div>
	</div>	


<?php
} else {
	$this->displayInfoMessage ();
}
?>
