<?php
/**
* @version $Id: frontstats.php 3428 2010-09-06 15:43:57Z severdia $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
*
* Based on FireBoard Component
* @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.bestofjoomla.com
*
* Based on Joomlaboard Component
* @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @author TSMF & Jan de Graaff
**/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

if ($this->showgenstats > 0)
{
	$this->loadGenStats();

	$kunena_config = KunenaFactory::getConfig ();

	$userlist1 = CKunenaLink::GetUserlistLink('', $this->totalmembers);
	$userlist2 = CKunenaLink::GetUserlistLink('', JText::_('COM_KUNENA_STAT_USERLIST').' &raquo;');

	?>
	<div class="info border-2">
		<ul id="kstatslistleft">
			<li><span><strong><?php echo JText::_('Board Stats'); ?></strong></span></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TOTAL_MESSAGES'); ?>:</span><?php echo intval($this->totalmsgs); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TOTAL_SUBJECTS'); ?>:</span><?php echo intval($this->totaltitles); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TOTAL_SECTIONS'); ?>:</span><?php echo intval($this->totalcats); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TOTAL_CATEGORIES'); ?>:</span><?php echo intval($this->totalsections); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TODAY_OPEN_THREAD'); ?>:</span><?php echo intval($this->todayopen); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_YESTERDAY_OPEN_THREAD'); ?>:</span><?php echo intval($this->yesterdayopen); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_TODAY_TOTAL_ANSWER'); ?>:</span><?php echo intval($this->todayanswer); ?></li>
			<li><span><?php echo JText::_('COM_KUNENA_STAT_YESTERDAY_TOTAL_ANSWER'); ?>:</span><?php echo intval($this->yesterdayanswer); ?></li>
			<li>&nbsp;</li>
			<li><span><?php echo $userlist2; ?></span><?php if ($kunena_config->showpopuserstats || $kunena_config->showpopsubjectstats) echo CKunenaLink::GetStatsLink(JText::_('COM_KUNENA_STAT_MORE_ABOUT_STATS').' &raquo;');?></li>
		</ul>
		<?php //echo CKunenaLink::GetProfileLink($this->lastestmemberid);
			global $lastestmemberid;
			$lastestmemberid = $this->lastestmemberid;
		?>
	</div>	


<?php
}

