<?php
/**
 * @version $Id: search.php 2979 2010-07-10 14:03:27Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 **/

defined ( '_JEXEC' ) or die ();


if (empty ( $this->q ) && empty ( $this->quser )) {
	include_once dirname(__FILE__).'/../bottom.php';;
	return;
}
?>
<div class="kblock ksearchresult">
	<div class="kheader">
		<span class="ktoggler"><a class="ktoggler close"  rel="ksearchresult"></a></span>
		<h2>
			<?php echo JText::_('COM_KUNENA_SEARCH_RESULTS'); ?><br/> 
			<span class="small"><?php echo JText::sprintf ('COM_KUNENA_FORUM_SEARCH', '"'.$this->escape($this->q).'"' ); ?></span>
		</h2>
	</div>
	<div class="kcontainer" id="ksearchresult">
		<div class="kbody">
<table>
	<tbody>
		<tr>
			<td>
				<?php foreach ( $this->results as $result ) : ?>
					<table>
						<thead>
							<tr class="ksth">
								<th>
									<span class="kmsgdate">
										<?php echo CKunenaTimeformat::showDate ( $result->time )?>
									</span>
								</th>
								<th>
									<span class="resultcat">
										<?php echo JText::_('COM_KUNENA_FORUM') . ': ' . CKunenaLink::GetCategoryLink ( 'showcat', intval($result->catid), $this->escape($result->catname), $rel = 'follow', $class = '', $title = '' )?>
									</span>
								</th>
							</tr>
						</thead>
						<tbody>
							<?php $k = 0; if ($this->total == 0 && $this->int_kunena_errornr) : ?>
							<tr class="k<?php echo $this->tabclass [$k] ?>" >
								<td>
									<?php echo $this->escape($this->str_kunena_errormsg) ?>
								</td>
							</tr>
							<?php endif; ?>
							<tr>
								<td class="kmessage-left resultmsg">
									<div class="kmsgbody">
										<div class="kmsgtitle kresult-title">
											<span class="kmsgtitle">
												<?php echo CKunenaLink::GetThreadPageLink ( 'view', intval($result->catid), intval($result->id), NULL, NULL, $result->htmlsubject, intval($result->id) )?>
											</span>
										</div>
										<div class="kmsgtext resultmsg">
											<?php echo $result->htmlmessage ?>
										</div>
										
									</div>
								</td>
								<td rowspan="2" valign="top" class="kprofile-left kresultauthor">
									<p><?php echo $this->escape($result->name) ?></p>
								</td>
							</tr>
						</tbody>
					</table>
				<?php endforeach; ?>
			</td>
		</tr>
		<tr class="ksth">
			<th colspan="3">
			<?php
			$resStart = $this->limitstart + 1;
			$resStop = $this->limitstart + count ( $this->results );
			if ($resStart < $resStop)
				$resStartStop = ( string ) ($resStart) . ' - ' . ( string ) ($resStop);
			else
				$resStartStop = '0';
			printf ( JText::_('COM_KUNENA_FORUM_SEARCHRESULTS'), $resStartStop, intval($this->total) );
			?>
			</th>
		</tr>
	</tbody>
</table>
<?php if ($this->total > $this->limit) : ?>
	<table class="klist-actions">
		<tr><td><?php echo $this->pagination; ?></td></tr>
	</table>
<?php endif; ?>	
</div>
</div>
</div>

<?php include_once dirname(__FILE__).'/../bottom.php'; ?>